Bug 134871 - [New Port] converters/bsdconv
Summary: [New Port] converters/bsdconv
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-23 13:20 UTC by buganini
Modified: 2009-06-05 23:20 UTC (History)
0 users

See Also:


Attachments
file.shar (2.88 KB, text/plain)
2009-05-23 13:20 UTC, buganini
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description buganini 2009-05-23 13:20:00 UTC
BSD licensed charset/encoding converter library with more function than
libiconv. (Currently only support few codecs)

WWW: http://github.com/buganini/bsdconv/

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2009-05-23 14:54:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-05-23 15:34:14 UTC
State Changed
From-To: open->feedback

- Build coredump on i386 HEAD, and amd64 complete. 

http://64bit.miwibox.org/index.php?action=describe_port&id=2659 
http://32bit.miwibox.org/index.php?action=describe_port&id=2551 

Could you please take a look.
Comment 3 buganini 2009-05-23 16:47:01 UTC
I don't know why it crash on HEAD, my laptop is also running
8-CURRENT, "Sat May 16 21:25:14 CST 2009",
I'm making buildworld to make it up-to-date.

for amd64 I've used uintptr_t for data being converted between integer/pointer,
but I'm not sure if this could solve all problem.

here is patch
http://security-hole.info/~buganini/ports/bsdconv.patch
or full shar
http://security-hole.info/~buganini/ports/bsdconv.shar

--
thanks
Comment 4 buganini 2009-05-24 11:24:10 UTC
here is new patch
http://security-hole.info/~buganini/ports/bsdconv-1.6.patch
or
http://security-hole.info/~buganini/ports/bsdconv-1.6.shar

I can at least build it on an amd64 machine of my friend,
and on my fresh 8-CURRENT laptop.
Comment 5 buganini 2009-05-29 10:14:57 UTC
Sorry, there is newer version now, including serious bugfix, but it's
stabler now.

http://security-hole.info/~buganini/ports/bsdconv-1.10.patch
or
http://security-hole.info/~buganini/ports/bsdconv-1.10.shar

Thanks
Comment 7 Martin Wilke freebsd_committer 2009-06-05 23:09:52 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 8 dfilter service freebsd_committer 2009-06-05 23:10:09 UTC
miwi        2009-06-05 22:10:00 UTC

  FreeBSD ports repository

  Modified files:
    converters           Makefile 
  Added files:
    converters/bsdconv   Makefile distinfo pkg-descr pkg-plist 
  Log:
  BSD licensed charset/encoding converter library with
  more function than libiconv. (Currently only support
  few codecs)
  
  WWW: http://github.com/buganini/bsdconv/
  
  PR:             ports/134871
  Submitted by:   buganini at gmail.com
  
  Revision  Changes    Path
  1.157     +1 -0      ports/converters/Makefile
  1.1       +23 -0     ports/converters/bsdconv/Makefile (new)
  1.1       +3 -0      ports/converters/bsdconv/distinfo (new)
  1.1       +5 -0      ports/converters/bsdconv/pkg-descr (new)
  1.1       +45 -0     ports/converters/bsdconv/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"